cURL
curl --request GET \ --url https://statsigapi.net/console/v1/metrics/metric_source/list \ --header 'STATSIG-API-KEY: <api-key>'
{ "message": "Metric sources listed successfully.", "data": [ { "name": "Log Events", "description": "all app events including add to cart, purchase, page view, checkout", "tags": [], "sql": "SELECT *\nFROM shoppy-sales.logging.events\nwhere DATE(ts) between {statsig_start_date} and {statsig_end_date}\n", "timestampColumn": "ts", "timestampAsDay": false, "idTypeMapping": [ { "statsigUnitID": "userID", "column": "user_id" }, { "statsigUnitID": "deviceID", "column": "device_id" } ], "tableName": "", "customFieldMapping": [ { "key": "", "formula": "" } ] } ], "pagination": { "itemsPerPage": 1, "pageNumber": 1, "totalItems": 14, "nextPage": "/console/v1/metrics/metric_source/list?page=2&limit=1", "previousPage": null, "all": "/console/v1/metrics/metric_source/list" } }
Documentation IndexFetch the complete documentation index at: https://statsig-4b2ff144-docs-go-big-id-lists.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://statsig-4b2ff144-docs-go-big-id-lists.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Results per page
10
Page number
1
List metric source response
A simple string explaining the result of the operation.
Array of results returned by pagination limit.
Show child attributes
Pagination metadata for checking if there is next page for example.
Was this page helpful?